- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannDistCntrlDiri2 Class Reference

Class implementating Example 2. More...

`#include <MittelmannDistCntrlDiri.hpp>`

Inheritance diagram for MittelmannDistCntrlDiri2:

[legend]
Collaboration diagram for MittelmannDistCntrlDiri2:

[legend]
List of all members.

## Public Member Functions
| MittelmannDistCntrlDiri2 ()
virtual | ~MittelmannDistCntrlDiri2 ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2) const
| Target profile function for y.
virtual Number | d_cont (Number x1, Number x2, Number y, Number u) const
| Forcing function for the elliptic equation.
virtual Number | d_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t y,y.
## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannDistCntrlDiri2 (const MittelmannDistCntrlDiri2 &)
MittelmannDistCntrlDiri2 & | operator= (const MittelmannDistCntrlDiri2 &)

## Detailed Description

Class implementating Example 2.

Definition at line 262 of file MittelmannDistCntrlDiri.hpp.

## Constructor & Destructor Documentation

MittelmannDistCntrlDiri2::MittelmannDistCntrlDiri2 | ( |  | ) | `[inline]`

Definition at line 265 of file MittelmannDistCntrlDiri.hpp.

virtual MittelmannDistCntrlDiri2::~MittelmannDistCntrlDiri2 | ( |  | ) | `[inline, virtual]`

Definition at line 267 of file MittelmannDistCntrlDiri.hpp.

MittelmannDistCntrlDiri2::MittelmannDistCntrlDiri2 | ( | const MittelmannDistCntrlDiri2 & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannDistCntrlDiri2::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 269 of file MittelmannDistCntrlDiri.hpp.

References MittelmannDistCntrlDiriBase::SetBaseParameters().

virtual Number MittelmannDistCntrlDiri2::y_d_cont | ( | Number | x1,
|  | Number | x2 |
| ) |  |  | const`[inline, protected, virtual]`

Target profile function for y.

Implements MittelmannDistCntrlDiriBase.

Definition at line 287 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri2::d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Forcing function for the elliptic equation.

Implements MittelmannDistCntrlDiriBase.

Definition at line 292 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri2::d_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

y

Implements MittelmannDistCntrlDiriBase.

Definition at line 297 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri2::d_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

u

Implements MittelmannDistCntrlDiriBase.

Definition at line 302 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri2::d_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t y,y.

Implements MittelmannDistCntrlDiriBase.

Definition at line 307 of file MittelmannDistCntrlDiri.hpp.

MittelmannDistCntrlDiri2& MittelmannDistCntrlDiri2::operator= | ( | const MittelmannDistCntrlDiri2 & |  | ) | `[private]`

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/examples/ScalableProblems/MittelmannDistCntrlDiri.hpp